From c7d142f82eac7b202e3d0d49ad93231976ad8173 Mon Sep 17 00:00:00 2001
From: Matej Habrnal <mhabrnal@redhat.com>
Date: Fri, 6 Mar 2015 00:12:47 +0100
Subject: [PATCH 2/2] reporter-mantisbt: introduce reporter-mantisbt

Signed-off-by: Matej Habrnal <mhabrnal@redhat.com>
---
 SOURCES/0127-lib-add-Problem-Format-API.patch      | 2244 +++++++++++++++++
 .../0128-bugzilla-port-to-Problem-Format-API.patch |  781 ++++++
 ...-lib-created-a-new-lib-file-for-reporters.patch |  405 +++
 ...0133-ureport-set-url-to-public-faf-server.patch |   27 +
 ...0134-conf-changed-URL-for-sending-uReport.patch |   29 +
 ...ntisbt-first-version-of-the-reporter-mant.patch | 2659 ++++++++++++++++++++
 SPECS/libreport.spec                               |   61 +-
 7 files changed, 6205 insertions(+), 1 deletion(-)
 create mode 100644 SOURCES/0127-lib-add-Problem-Format-API.patch
 create mode 100644 SOURCES/0128-bugzilla-port-to-Problem-Format-API.patch
 create mode 100644 SOURCES/0130-lib-created-a-new-lib-file-for-reporters.patch
 create mode 100644 SOURCES/0133-ureport-set-url-to-public-faf-server.patch
 create mode 100644 SOURCES/0134-conf-changed-URL-for-sending-uReport.patch
 create mode 100644 SOURCES/1000-reporter-mantisbt-first-version-of-the-reporter-mant.patch

diff --git a/SPECS/libreport.spec b/SPECS/libreport.spec
index 737f20f..d2284a2 100644
--- a/SPECS/libreport.spec
+++ b/SPECS/libreport.spec
@@ -7,7 +7,7 @@
 Summary: Generic library for reporting various problems
 Name: libreport
 Version: 2.1.11
-Release: 21%{?dist}
+Release: 22%{?dist}
 License: GPLv2+
 Group: System Environment/Libraries
 URL: https://fedorahosted.org/abrt/
@@ -139,6 +139,16 @@ Patch123: 0123-lib-add-a-clone-function-for-map_string_t.patch
 Patch124: 0124-ureport-introduce-HTTPAuth.patch
 Patch125: 0125-Do-not-use-bool-in-OPT_BOOL-macro-it-expects-int.patch
 Patch126: libreport-centos-branding-changes.patch
+Patch127: 0127-lib-add-Problem-Format-API.patch
+#Patch128: 0128-bugzilla-port-to-Problem-Format-API.patch
+#Patch129: 0129-spec-reflect-changes-due-to-Problem-Report-API.patch
+Patch130: 0130-lib-created-a-new-lib-file-for-reporters.patch
+#Patch131: 0131-spec-changed-spec-file-to-work-with-last-commit.patch
+#Patch132: 0132-testsuite-disabled-a-test-testsuite.at-because-of-co.patch
+Patch133: 0133-ureport-set-url-to-public-faf-server.patch
+Patch134: 0134-conf-changed-URL-for-sending-uReport.patch
+Patch1000: 1000-reporter-mantisbt-first-version-of-the-reporter-mant.patch
+#Patch1001: 1001-spec-changed-spec-file-to-work-with-reporter-mantisb.patch
 
 # git is need for '%%autosetup -S git' which automatically applies all the
 # patches above. Please, be aware that the patches must be generated
@@ -315,6 +325,25 @@ Group: System Environment/Libraries
 Requires: %{name} = %{version}-%{release}
 Requires: libreport-web = %{version}-%{release}
 
+%package plugin-mantisbt
+Summary: %{name}'s mantisbt plugin
+Group: System Environment/Libraries
+Requires: %{name} = %{version}-%{release}
+Requires: libreport-web = %{version}-%{release}
+
+%description plugin-mantisbt
+Plugin to report bugs into the mantisbt.
+
+%package centos
+Summary: %{name}'s CentOS Bug Tracker workflow
+Group: System Environment/Libraries
+Requires: %{name} = %{version}-%{release}
+Requires: libreport-web = %{version}-%{release}
+Requires: libreport-plugin-mantisbt = %{version}-%{release}
+
+%description centos
+Workflows to report issues into the CentOS Bug Tracker.
+
 %package plugin-ureport
 Summary: %{name}'s micro report plugin
 BuildRequires: json-c-devel
@@ -562,12 +591,14 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 %{_includedir}/libreport/dump_dir.h
 %{_includedir}/libreport/event_config.h
 %{_includedir}/libreport/problem_data.h
+%{_includedir}/libreport/problem_report.h
 %{_includedir}/libreport/report.h
 %{_includedir}/libreport/run_event.h
 %{_includedir}/libreport/file_obj.h
 %{_includedir}/libreport/config_item_info.h
 %{_includedir}/libreport/workflow.h
 %{_includedir}/libreport/ureport.h
+%{_includedir}/libreport/reporters.h
 # Private api headers:
 %{_includedir}/libreport/internal_abrt_dbus.h
 %{_includedir}/libreport/internal_libreport.h
@@ -687,6 +718,29 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 %{_mandir}/man5/bugzilla_format_kernel.conf.5.*
 %{_bindir}/reporter-bugzilla
 
+%files plugin-mantisbt
+%defattr(-,root,root,-)
+%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt.conf
+%{_datadir}/%{name}/conf.d/plugins/mantisbt.conf
+%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_format.conf
+%config(noreplace) %{_sysconfdir}/libreport/plugins/mantisbt_formatdup.conf
+%{_bindir}/reporter-mantisbt
+
+%files centos
+%{_datadir}/%{name}/workflows/workflow_CentOSCCpp.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSKerneloops.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSPython.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSPython3.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSVmcore.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSXorg.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSLibreport.xml
+%{_datadir}/%{name}/workflows/workflow_CentOSJava.xml
+%config(noreplace) %{_sysconfdir}/libreport/workflows.d/report_centos.conf
+%{_datadir}/%{name}/events/report_CentOSBugTracker.xml
+%config(noreplace) %{_sysconfdir}/libreport/events/report_CentOSBugTracker.conf
+# report_CentOSBugTracker events are shipped by libreport package
+%config(noreplace) %{_sysconfdir}/libreport/events.d/centos_report_event.conf
+
 %files plugin-rhtsupport
 %defattr(-,root,root,-)
 %config(noreplace) %{_sysconfdir}/libreport/plugins/rhtsupport.conf
@@ -780,6 +834,11 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
 
 %changelog
+* Mon Mar 09 2015 Matej Habrnal <mhabrnal@redhat.com> = 2.1.11-22
+- introduce reporter mantisbt
+- add problem format api
+- set url to public faf server
+
 * Thu Mar 05 2015 CentOS Sources <bugs@centos.org> - 2.1.11-21.el7.centos
 - Roll in patch to remove RH support for libreport
 
-- 
1.8.3.1

